Page 1 of 1

Install of Beta3 on Fedora 29 fails: nothing provides libvpx.so.4

PostPosted: 3. Dec 2018, 18:30
by heis2201
Problem: conflicting requests
- nothing provides libvpx.so.4()(64bit) needed by VirtualBox-6.0-6.0.0_BETA3_127054_fedora26-1.x86_64

libvpx is installed on that system - I assume it's the wrong version for VB.

Code: Select all   Expand viewCollapse view
rpm -qa libvpx

libvpx-1.7.0-7.fc29.x86_64

Re: Install of Beta3 on Fedora 29 fails: nothing provides libvpx.so.4

PostPosted: 3. Dec 2018, 19:43
by Martin
You could also check
Code: Select all   Expand viewCollapse view
dnf provides */libvpx.so.4

On Fedora 28 it shows
compat-libvpx4-1.6.1-1.fc28.x86_64

Re: Install of Beta3 on Fedora 29 fails: nothing provides libvpx.so.4

PostPosted: 4. Dec 2018, 02:51
by Technologov
Try the multi-distro installer package of VirtualBox:
https://download.virtualbox.org/virtual ... _amd64.run

Re: Install of Beta3 on Fedora 29 fails: nothing provides libvpx.so.4

PostPosted: 4. Dec 2018, 03:11
by socratis
@heis2201
This is a known issue with Fedora 29. See comments 5, 6, 7, in ticket #18113.
https://www.virtualbox.org/ticket/18113#comment:5

Re: Install of Beta3 on Fedora 29 fails: nothing provides libvpx.so.4

PostPosted: 4. Dec 2018, 18:25
by heis2201
compat-libvpx hasn't been built for F29 but some said in viewtopic.php?f=7&t=90111 that the package from F28 would work.

Thanks for helping out!